//
//  SNSShareAuthorizeWebView.h
//  SNSShare
//
//  Created by 施 为 on 12-7-4.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class SNSShareAuthorizeWebView;

@protocol SNSShareAuthorizeWebViewDelegate <NSObject>

- (void) authorizeWebView:(SNSShareAuthorizeWebView*) webView didReceiveAuthorizeCode:(NSString*)code;

@end

@interface SNSShareAuthorizeWebView : UIView < UIWebViewDelegate>
{
    UIView*                     _panelView;
    UIView*                     _containerView;
    UIActivityIndicatorView*    _indicatorView;
    UIWebView*                  _webView;
    
    UIInterfaceOrientation _previousOrientation;
    
    id<SNSShareAuthorizeWebViewDelegate> _delegate;
}

@property (nonatomic ,assign) id<SNSShareAuthorizeWebViewDelegate> delegate;

- (void)loadRequestWithURL:(NSURL*) url;

- (void) show: (BOOL) animated;

- (void) hide: (BOOL) animated;

@end
